Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Interface WebBean

All Known Subinterfaces:
  DataWebBean, DataWebBean, WebBean

All Known Implementing Classes:
  DataWebBeanImpl, DataWebBeanImpl, EditForm, JSButton, JSButtonBar, JSContainer, JSTabContainer, JSTable, JSTableData, JSToolbar, JSTree, JSTreeData, TableControl, Toolbar, WebBeanImpl

public interface WebBean

Implements basic rendering and initialization functionality for Web Beans.

Field Summary
`static java.lang.String` | `contentFrameName`
`static java.lang.String` | `defaultCaboBase`
`static java.lang.String` | `defaultCaboImageBase`
`static java.lang.String` | `defaultImageBase`
`static java.lang.String` | `defaultJSPBase`
`static java.lang.String` | `defaultNLSFormat`
`static java.lang.String` | `JS_LIBRARIES`
`static java.lang.String` | `JS_NAMEID`
`static int` | `JSButtonConstructorLib`
`static int` | `JSCalendarConstructorLib`
`static int` | `JSContainerConstructorLib`
`static int` | `JSDataConstructLib`
`static int` | `JSModalPageConstructorLib`
`static int` | `JSTableConstructLib`
`static int` | `JSToolbarConstructorLib`
`static int` | `JSTreeConstructLib`
`static int` | `JSUtilitiesLib`

Method Summary
`void` | `initialize(javax.servlet.jsp.PageContext page)` Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
`void` | `initialize(javax.servlet.ServletContext appContext, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.io.PrintWriter out)` Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
`void` | `internalInitialize()` Internal initialize.
`void` | `render()` Renders the Web Bean's contents to the output stream.
`void` | `render(java.io.PrintWriter out)` Renders the Web Bean's contents to the specified PrintWriter.

Field Detail

### JSUtilitiesLib

    public static final int JSUtilitiesLib

  See Also:
    Constant Field Values

### JSTableConstructLib

    public static final int JSTableConstructLib

  See Also:
    Constant Field Values

### JSDataConstructLib

    public static final int JSDataConstructLib

  See Also:
    Constant Field Values

### JSTreeConstructLib

    public static final int JSTreeConstructLib

  See Also:
    Constant Field Values

### JSToolbarConstructorLib

    public static final int JSToolbarConstructorLib

  See Also:
    Constant Field Values

### JSCalendarConstructorLib

    public static final int JSCalendarConstructorLib

  See Also:
    Constant Field Values

### JSModalPageConstructorLib

    public static final int JSModalPageConstructorLib

  See Also:
    Constant Field Values

### JSButtonConstructorLib

    public static final int JSButtonConstructorLib

  See Also:
    Constant Field Values

### JSContainerConstructorLib

    public static final int JSContainerConstructorLib

  See Also:
    Constant Field Values

### JS_LIBRARIES

    public static final java.lang.String JS_LIBRARIES

  See Also:
    Constant Field Values

### JS_NAMEID

    public static final java.lang.String JS_NAMEID

  See Also:
    Constant Field Values

### contentFrameName

    public static final java.lang.String contentFrameName

  See Also:
    Constant Field Values

### defaultImageBase

    public static final java.lang.String defaultImageBase

  See Also:
    Constant Field Values

### defaultCaboImageBase

    public static final java.lang.String defaultCaboImageBase

  See Also:
    Constant Field Values

### defaultJSPBase

    public static final java.lang.String defaultJSPBase

  See Also:
    Constant Field Values

### defaultCaboBase

    public static final java.lang.String defaultCaboBase

  See Also:
    Constant Field Values

### defaultNLSFormat

    public static final java.lang.String defaultNLSFormat

  See Also:
    Constant Field Values

Method Detail

### initialize

    public void initialize(javax.servlet.ServletContext appContext,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           java.io.PrintWriter out)
                    throws java.lang.Exception

  Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
  Parameters:
    `appContext` - the JSP page's ServletContext.
    `session` - the JSP page's HttpSession.
    `request` - the JSP page's HttpServletRequest.
    `response` - the JSP page's HttpServletResponse.
    `out` - the PrintWriter to render to.
  Throws:
    `java.lang.Exception`

### initialize

    public void initialize(javax.servlet.jsp.PageContext page)
                    throws java.lang.Exception

  Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
  Parameters:
    `page` - the JSP page's ServletContext.
  Throws:
    `java.lang.Exception`

### internalInitialize

    public void internalInitialize()
                            throws java.lang.Exception

  Internal initialize. This method should be overriden by any WebBean needing to initialize some internal data after all the base class member have been initialize properly.
  Throws:
    `java.lang.Exception`

### render

    public void render()
                throws java.lang.Exception

  Renders the Web Bean's contents to the output stream.
  Throws:
    `java.lang.Exception`

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Renders the Web Bean's contents to the specified PrintWriter.
  Parameters:
    `out` - the PrintWriter to render to.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.